Index: mesa-9.2.2/src/glsl/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/glsl/Makefile.am	2013-10-24 15:24:24.869761373 +0100
+++ mesa-9.2.2/src/glsl/Makefile.am	2013-10-24 15:24:24.867761373 +0100
@@ -33,6 +33,18 @@
 
 include Makefile.sources
 
+# Mesa DRI SDK headers.
+#
+glslincludedir = $(includedir)/glsl
+glslinclude_HEADERS = \
+       glsl_types.h \
+       ir.h \
+       ir_hierarchical_visitor.h \
+       ir_uniform.h \
+       ir_visitor.h \
+       list.h \
+       ralloc.h
+
 TESTS = glcpp/tests/glcpp-test				\
 	tests/optimization-test				\
 	tests/ralloc-test				\
Index: mesa-9.2.2/src/mapi/glapi/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/mapi/glapi/Makefile.am	2013-10-24 15:24:24.869761373 +0100
+++ mesa-9.2.2/src/mapi/glapi/Makefile.am	2013-10-24 15:24:24.867761373 +0100
@@ -55,6 +55,20 @@
 glapi_MAPI_sources = $(MAPI_UTIL_FILES)
 endif
 
+
+# Mesa DRI SDK headers.
+#
+glapiincludedir = $(includedir)/mapi/glapi
+glapiinclude_HEADERS = \
+       glapi.h \
+       glthread.h
+
+mapiincludedir = $(includedir)/mapi/mapi
+mapiinclude_HEADERS = \
+       ../mapi/u_compiler.h \
+       ../mapi/u_thread.h \
+       ../mapi/u_current.h
+
 noinst_LTLIBRARIES = libglapi.la
 
 libglapi_la_SOURCES = $(glapi_GLAPI_sources) $(glapi_ASM_sources) $(glapi_MAPI_sources)
Index: mesa-9.2.2/src/mesa/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/mesa/Makefile.am	2013-10-24 15:24:24.869761373 +0100
+++ mesa-9.2.2/src/mesa/Makefile.am	2013-10-24 15:24:24.867761373 +0100
@@ -140,6 +140,79 @@
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = gl.pc
 
+#
+# Mesa DRI SDK headers.
+#
+mainincludedir = $(includedir)/mesa/main
+maininclude_HEADERS = \
+       main/bufferobj.h \
+       main/compiler.h \
+       main/config.h \
+       main/context.h \
+       main/cpuinfo.h \
+       main/dd.h \
+       main/extensions.h \
+       main/errors.h \
+       main/fbobject.h \
+       main/formats.h \
+       main/framebuffer.h \
+       main/glheader.h \
+       main/imports.h \
+       main/macros.h \
+       main/mfeatures.h \
+       main/mipmap.h \
+       main/mtypes.h \
+       main/renderbuffer.h \
+       main/teximage.h \
+       main/texformat.h \
+       main/texobj.h \
+       main/texstate.h \
+       main/samplerobj.h \
+       main/shaderobj.h \
+       main/simple_list.h \
+       main/uniforms.h
+
+mathincludedir = $(includedir)/mesa/math
+mathinclude_HEADERS = \
+       math/m_matrix.h \
+       math/m_vector.h
+
+swrastincludedir = $(includedir)/mesa/swrast
+swrastinclude_HEADERS = \
+       swrast/swrast.h \
+       swrast/s_chan.h \
+       swrast/s_renderbuffer.h \
+       swrast/s_context.h \
+       swrast/s_fragprog.h \
+       swrast/s_span.h
+
+swrast_setupincludedir = $(includedir)/mesa/swrast_setup
+swrast_setupinclude_HEADERS = \
+       swrast_setup/swrast_setup.h
+
+tnlincludedir = $(includedir)/mesa/tnl
+tnlinclude_HEADERS = \
+       tnl/tnl.h \
+       tnl/t_context.h \
+       tnl/t_pipeline.h
+
+vboincludedir = $(includedir)/mesa/vbo
+vboinclude_HEADERS = \
+       vbo/vbo.h \
+       vbo/vbo_context.h \
+       vbo/vbo_attrib.h \
+       vbo/vbo_exec.h \
+       vbo/vbo_save.h
+
+programincludedir = $(includedir)/mesa/program
+programinclude_HEADERS = \
+       program/hash_table.h \
+       program/ir_to_mesa.h \
+       program/prog_execute.h \
+       program/prog_parameter.h \
+       program/prog_statevars.h \
+       program/program.h
+
 # Emacs tags
 tags:
 	etags `find . -name \*.[ch]` $(top_srcdir)/include/GL/*.h
Index: mesa-9.2.2/src/mesa/drivers/dri/common/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/mesa/drivers/dri/common/Makefile.am	2013-10-24 15:24:24.869761373 +0100
+++ mesa-9.2.2/src/mesa/drivers/dri/common/Makefile.am	2013-10-24 15:24:24.868761373 +0100
@@ -29,6 +29,15 @@
 	$(DEFINES) \
 	$(LIBDRM_CFLAGS)
 
+#
+# Mesa DRI SDK headers.
+#
+dricommonincludedir = $(includedir)/mesa/drivers/dri/common
+dricommoninclude_HEADERS = \
+       utils.h \
+       dri_util.h \
+       xmlconfig.h
+
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = dricommon.pc
 
